// SLogic	 (C)opyright 2006 Jonas Jarvoll
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef __COMPVIEW_H_
#define __COMPVIEW_H_

#include <gui/iconview.h>

#include "component.h"

class CompIconData : public os::IconData
{
public:
	CompIconData( Component* comp)
	{
		m_Component = comp;
	}
	~CompIconData() {};

	Component* GetComponent() { return m_Component; };

private:
	Component* m_Component;
};

class CompView : public os::IconView
{
public:
	CompView( const os::Rect& cFrame, uint32 nResizeMask = os::CF_FOLLOW_LEFT | os::CF_FOLLOW_TOP );
	~CompView();

	void AddComponent( Component* comp );
	void DragSelection( os::Point cStartPoint );
private:
};

#endif
